<?php 
extract($_POST);
include_once dirname( __DIR__ ) . '/Model/db.php';
include_once dirname( __DIR__ ) . '/Model/Buscar.php';
include_once dirname( __DIR__ ) . '/add/funciones.php';

$periodo = periodo($mes,$anio);
$buscar = new Buscar();
$buscar->setFechaCargoInicial($periodo['finicial']);
$buscar->setFechaCargoFinal($periodo['ffinal']);
$buscar->setEjecutivo($inputEjecutivo);

$buscar->setAnio($anio);
$buscar->setMes($mes);

$totalIngreso = 0;
foreach($buscar->obtineRealIngresos() as $ingreso){
	if($ingreso["moneda"]=="MXN"){
		$monto=$ingreso["monto"]/$ingreso["divisa"];
	}else{
		$monto=$ingreso["monto"];
	}
	$totalIngreso = $totalIngreso + $monto;
}

$totalMeta = 0;
foreach($buscar->obtineMetaIngresos() as $sumaMetas){
	$totalMeta = $totalMeta + $sumaMetas['monto'];
}

/*if($buscar->obtineMetaIngresos()['monto'] == "" || $buscar->obtineMetaIngresos()['monto']==0){
	$porcentaje=0;
}else{
   $porcentaje=round(($totalIngreso*100)/$buscar->obtineMetaIngresos()['monto'],0);
}*/
if($totalMeta == "" || $totalMeta==0){
	$porcentaje=0;
}else{
   $porcentaje=round(($totalIngreso*100)/$totalMeta,0);
}

$totalPropiedades = 0;
foreach($buscar->obtineRealIngresosPropiedad() as $propiedad){
	$totalPropiedades = $totalPropiedades + $propiedad['monto'];
	$montoxpropiedad[] = array('propiedad'=>initials($propiedad['nompropiedad']),'totalpropiedad'=>'$'.number_format($propiedad['monto'],2,".",","));
}

$response[] = array(
                    //'meta'=>'$'.$buscar->obtineMetaIngresos()['monto'], 
                    'meta'=>'$'.number_format($totalMeta,2,".",","), 
					'total'=>'$'.number_format($totalIngreso,2,".",","),
					'porcentaje'=>round($porcentaje,0).'%',
					'propiedades'=>$montoxpropiedad,
					'totalpropiedades'=>'$'.number_format($totalPropiedades,2,".",",")
					);
			
echo json_encode($response);
die();
?>